cURL
curl --request GET \
--url https://api.example.com/lines/{lineId}/products/{productId}/balances \
--header 'client_id: <api-key>' \
--header 'secret_key: <api-key>'import requests
url = "https://api.example.com/lines/{lineId}/products/{productId}/balances"
headers = {
"client_id": "<api-key>",
"secret_key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {client_id: '<api-key>', secret_key: '<api-key>'}};
fetch('https://api.example.com/lines/{lineId}/products/{productId}/balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"lineId": "<string>",
"productId": "<string>",
"online": true,
"accountMetadata": {},
"balance": {
"accountId": "<string>",
"totalAmount": {},
"usedAmount": {},
"balanceCredits": [
{
"type": "<string>",
"value": 123,
"updatedAt": "<string>",
"dueDate": "<string>",
"metadata": {}
}
],
"metadata": {},
"createdAt": "<string>",
"updatedAt": "<string>",
"product": {
"catalogProductId": "<string>",
"name": "<string>",
"features": [
{
"icon": "<string>",
"name": "<string>"
}
],
"productComponents": [
{
"id": "<string>",
"name": "<string>",
"unlimited": true,
"unit": "<string>",
"totalAmount": 123,
"usedAmount": 123,
"startDate": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"icon": "<string>",
"externalCode": "<string>",
"endDate": "<string>"
}
],
"createdAt": "<string>",
"updatedAt": "<string>",
"externalCode": "<string>"
}
}
}Usage
Get balances
GET
/
lines
/
{lineId}
/
products
/
{productId}
/
balances
cURL
Query Parameters
⌘I